Bug 355986

Summary: freezes when opened
Product: amarok Reporter: me <boec0025>
Component: generalAssignee: Amarok Developers <amarok-bugs-dist>
Status: RESOLVED DUPLICATE    
Severity: crash    
Priority: NOR    
Version: 2.8.0   
Target Milestone: 2.9   
Platform: Fedora RPMs   
OS: Linux   
Latest Commit: Version Fixed In:

Description me 2015-11-27 11:49:48 UTC
so, every time i open amarok using fedora 22, it completely locks up and i cannot do anything with it.  the only info i get is a pop-up in the lower left saying multiple backend processes are running.  i completely removed amarok and deleted everything i found in ~/.kde4 that started with amarok and reinstalled and immediately upon me starting it froze and i could not do anything.  

Reproducible: Always

Steps to Reproduce:
1.open amarok on updated fedora 22
2.
3.

Actual Results:  
it freezes...
Comment 1 Myriam Schweingruber 2015-11-28 15:25:02 UTC
Could you please install debugging symbols for Amarok, Phonon and Phonon-backend-gstreamer, then start Amarok from a konsole like this:

amarok -d --nofork

If it still freezes on start, then do the following:

 gdb `which amarok` -p `pidof amarok`
 (gdb) thread apply all bt

where 'pidof amarok' needs to be replaced by the PID number of the amarok process. You can get this number for example by running the command top in a konsole.
Comment 2 Myriam Schweingruber 2015-11-28 15:26:40 UTC
clicked enter to fast:

we need the console output when the freeze happens (only about the 50 last lines), as well as the output from gdb. Please send both outputs directly in the comment field instead of an attachment.
Comment 3 me 2015-12-04 14:18:32 UTC
okay, i kind of figured out what was going on here.  apparently i had a cd in my drive and so, from the output, amarok was finding the cd tracks but it seemed to be stuck doing that over and again.  it would not stop.   i saw it get up to Track 2000 something.  

when i remove the cd from the drive it works fine.  

here is the output to file, like you said i just took a bunch of lines from the bottom, not all...

amarok:       [00;36mEND__:[00;39m static QScriptValue ScriptableServiceScript::ScriptableServiceScript_prototype_ctor(QScriptContext*, QScriptEngine*) [00;36m[Took: 0.003s][00;39m 
amarok:       [00;34mBEGIN:[00;39m void ScriptableServiceScript::slotCustomize(const QString&) 
amarok:       [00;34mEND__:[00;39m void ScriptableServiceScript::slotCustomize(const QString&) [00;34m[Took: 0s][00;39m 
amarok:     [00;32mEND__:[00;39m bool ScriptManager::slotRunScript(const QString&, bool) [00;32m[Took: 0.004s][00;39m 
amarok:   [00;34mEND__:[00;39m void ScriptManager::configChanged(bool) [00;34m[Took: 0.11s][00;39m 
amarok: [00;32mEND__:[00;39m void ScriptManager::updateAllScripts() [00;32m[Took: 0.11s][00;39m 
amarok: [00;35mBEGIN:[00;39m void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() 
amarok:   [00;36mBEGIN:[00;39m void Playlist::PrettyListView::scrollToActiveTrack() 
amarok:   [00;36mEND__:[00;39m void Playlist::PrettyListView::scrollToActiveTrack() [00;36m[Took: 0s][00;39m 
amarok: [00;35mEND__:[00;39m void Playlist::PrettyListView::slotPlaylistActiveTrackChanged() [00;35m[Took: 0s][00;39m 
amarok: [00;31mBEGIN:[00;39m void Analyzer::Base::connectSignals() 
amarok: [00;31mEND__:[00;39m void Analyzer::Base::connectSignals() [00;31m[Took: 0s][00;39m 
amarok: [00;32mBEGIN:[00;39m void Playlist::PrettyListView::bottomModelRowsInsertedScroll() 
amarok: [00;32mEND__:[00;39m void Playlist::PrettyListView::bottomModelRowsInsertedScroll() [00;32m[Took: 0s][00;39m 
amarok: [00;34mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::fetchAlbums() 
amarok:   [ScriptableServiceQueryMaker] parent id:  -1 
amarok:   [00;35mBEGIN:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) 
amarok:     SCRIPT "Free Music Charts" :  "populating fmc level: 1" 
amarok:     SCRIPT "Free Music Charts" :  "fetching fmc xml..." 
amarok:     [00;36mBEGIN:[00;39m static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) 
amarok:     [00;36mEND__:[00;39m static QScriptValue Downloader::init(QScriptContext*, QScriptEngine*, bool) [00;36m[Took: 0s][00;39m 
amarok:     SCRIPT "Free Music Charts" :  "done fetching fmc xml..." 
amarok:   [00;35mEND__:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) [00;35m[Took: 0s][00;39m 
amarok: [00;34mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::fetchAlbums() [00;34m[Took: 0.001s][00;39m 
amarok: [00;31mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::fetchArtists() 
amarok:   [00;32mBEGIN:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) 
amarok:     [00;34mBEGIN:[00;39m int ScriptableServiceScript::donePopulating() const 
amarok:       [00;35mBEGIN:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) 
amarok:         Service name:  "Librivox.org" , parent id:  -1 
amarok:         [00;36mBEGIN:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) 
amarok:           [00;31mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() 
amarok:             [ScriptableServiceQueryMaker] there are  1  artists 
amarok:           [00;31mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() [00;31m[Took: 0s][00;39m 
amarok:         [00;36mEND__:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) [00;36m[Took: 0s][00;39m 
amarok:       [00;35mEND__:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) [00;35m[Took: 0s][00;39m 
amarok:     [00;34mEND__:[00;39m int ScriptableServiceScript::donePopulating() const [00;34m[Took: 0s][00;39m 
amarok:   [00;32mEND__:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) [00;32m[Took: 0s][00;39m 
amarok: [00;31mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::fetchArtists() [00;31m[Took: 0s][00;39m 
amarok: [00;32mBEGIN:[00;39m void WikipediaEnginePrivate::_dataContainerUpdated(const QString&, const Data&) 
amarok:   [WikipediaEngine] "updated preferred wikipedia languages:" ("en") 
amarok: [00;32mEND__:[00;39m void WikipediaEnginePrivate::_dataContainerUpdated(const QString&, const Data&) [00;32m[Took: 0s][00;39m 
amarok: [00;34mBEGIN:[00;39m void WikipediaApplet::dataUpdated(const QString&, const Data&) 
amarok: [00;34mEND__:[00;39m void WikipediaApplet::dataUpdated(const QString&, const Data&) [00;34m[Took: 0s][00;39m 
amarok: QModelIndex(-1,-1,0x0,QObject(0x0) ) 
amarok: QModelIndex(-1,-1,0x0,QObject(0x0) ) 
amarok: [00;35mBEGIN:[00;39m bool OpmlParser::continueRead() 
amarok: [00;35mEND__:[00;39m bool OpmlParser::continueRead() [00;35m[Took: 0s][00;39m 
amarok: [00;36mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::fetchTracks() 
amarok:   [ScriptableServiceQueryMaker] parent id:  -1 
amarok:   [ScriptableServiceQueryMaker] i am sending signals! 
amarok:   [00;31mBEGIN:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) 
amarok:     SCRIPT "Cool Streams" :  " Populating station level..." 
amarok:     [00;32mBEGIN:[00;39m int ScriptableServiceScript::donePopulating() const 
amarok:       [00;34mBEGIN:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) 
amarok:         Service name:  "Cool Streams" , parent id:  -1 
amarok:         [00;35mBEGIN:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) 
amarok:           [00;36mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() 
amarok:             [ScriptableServiceQueryMaker] there are  26  tracks 
amarok:           [00;36mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() [00;36m[Took: 0s][00;39m 
amarok:         [00;35mEND__:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) [00;35m[Took: 0s][00;39m 
amarok:       [00;34mEND__:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) [00;34m[Took: 0s][00;39m 
amarok:     [00;32mEND__:[00;39m int ScriptableServiceScript::donePopulating() const [00;32m[Took: 0s][00;39m 
amarok:   [00;31mEND__:[00;39m void ScriptableServiceScript::slotPopulate(QString, int, int, QString, QString) [00;31m[Took: 0.005s][00;39m 
amarok: [00;36mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::fetchTracks() [00;36m[Took: 0.005s][00;39m 
amarok: QModelIndex(-1,-1,0x0,QObject(0x0) ) 
amarok: [NetworkAccessManagerProxy] the server is redirecting the request to:  KUrl("http://archive.org/download/freemusiccharts.songs/fmc.xml") 
amarok: [00;31mBEGIN:[00;39m void AmarokDownloadHelper::requestRedirected(const KUrl&, const KUrl&) 
amarok: [00;31mEND__:[00;39m void AmarokDownloadHelper::requestRedirected(const KUrl&, const KUrl&) [00;31m[Took: 0s][00;39m 
"<?xml version="1.0" encoding="UTF-8" ?>
<lfm status="failed"><error code="6">User not found</error>
</lfm>
" 
amarok: [LastFmService] Got exception in parsing from last.fm: "User not found" 
amarok: SCRIPT "Free Music Charts" :  "start fmc shows xml parsing..." 
amarok: SCRIPT "Free Music Charts" :  "got 0 shows!" 
amarok: [00;32mBEGIN:[00;39m int ScriptableServiceScript::donePopulating() const 
amarok:   [00;34mBEGIN:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) 
amarok:     Service name:  "Free Music Charts" , parent id:  -1 
amarok:     [00;35mBEGIN:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) 
amarok:       [00;36mBEGIN:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() 
amarok:         [ScriptableServiceQueryMaker] there are  1  albums 
amarok:       [00;36mEND__:[00;39m void Collections::ScriptableServiceQueryMaker::slotScriptComplete() [00;36m[Took: 0s][00;39m 
amarok:     [00;35mEND__:[00;39m void Collections::ScriptableServiceCollection::donePopulating(int) [00;35m[Took: 0s][00;39m 
amarok:   [00;34mEND__:[00;39m void ScriptableServiceManager::donePopulating(const QString&, int) [00;34m[Took: 0s][00;39m 
amarok: [00;32mEND__:[00;39m int ScriptableServiceScript::donePopulating() const [00;32m[Took: 0s][00;39m 
amarok: [00;31mBEGIN:[00;39m LongMessageWidget::LongMessageWidget(QWidget*, const QString&, Amarok::Logger::MessageType) 
amarok: [00;31mEND__:[00;39m LongMessageWidget::LongMessageWidget(QWidget*, const QString&, Amarok::Logger::MessageType) [00;31m[Took: 0.002s][00;39m 
amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length6=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length7=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length6=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length7=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length6=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length7=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length6=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length7=-1" " 

amarok: [MySqlStorage] Initialized thread, count== 8 
amarok: [MySqlStorage] Initialized thread, count== 9 
amarok: [MySqlStorage] Initialized thread, count== 10 
amarok: [07;33m[WARNING][00;39m .pls playlist: Invalid "NumberOfEntries" value.   NumberOfEntries= 0   counted= 5 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "numberofentries=5" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [MySqlStorage] Initialized thread, count== 11 
amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [MySqlStorage] Initialized thread, count== 12 
amarok: [07;33m[WARNING][00;39m .pls playlist: Invalid "NumberOfEntries" value.   NumberOfEntries= 0   counted= 4 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "numberofentries=4" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [MySqlStorage] Initialized thread, count== 13 
amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Invalid "NumberOfEntries" value.   NumberOfEntries= 0   counted= 5 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "numberofentries=5" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length5=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Invalid "NumberOfEntries" value.   NumberOfEntries= 0   counted= 4 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "numberofentries=4" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length4=-1" " 

amarok: [MySqlStorage] Initialized thread, count== 14 
amarok: [07;33m[WARNING][00;39m .pls playlist: Invalid "NumberOfEntries" value.   NumberOfEntries= 0   counted= 3 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "numberofentries=3" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length2=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length3=-1" " 

amarok: [07;33m[WARNING][00;39m .pls playlist: Unrecognized line: " "Length1=-1" " 

Calling appendChild() on a null node does nothing.
amarok: [00;32mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;32mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;32m[Took: 0s][00;39m 
amarok: [00;34mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;34mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;34m[Took: 0s][00;39m 
amarok: [00;35mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;35mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;35m[Took: 0s][00;39m 
amarok: [00;36mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;36mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;36m[Took: 0s][00;39m 
amarok: [00;31mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;31mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;31m[Took: 0s][00;39m 
amarok: [00;32mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;32mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;32m[Took: 0s][00;39m 
amarok: [00;34mBEGIN:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) 
amarok: [00;34mEND__:[00;39m void Collections::AudioCdCollection::audioCdEntries(KIO::Job*, const UDSEntryList&) [00;34m[Took: 0s][00;39m 
amarok: [00;35mBEGIN:[00;39m void Collections::AudioCdCollection::slotEntriesJobDone(KJob*) 
amarok: [00;35mEND__:[00;39m void Collections::AudioCdCollection::slotEntriesJobDone(KJob*) [00;35m[Took: 0s][00;39m 
amarok: [00;36mBEGIN:[00;39m void Collections::AudioCdCollection::infoFetchComplete(KJob*) 
amarok:   [AudioCdCollection] Encoding:  "UTF-8" 
amarok:   [AudioCdCollection] got cddb info:  "" 
amarok:   [00;31mBEGIN:[00;39m void Collections::AudioCdCollection::noInfoAvailable() 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 01.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 02.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 03.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 04.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 05.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 06.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 07.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 08.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 09.wav" 
amarok:     [00;32mBEGIN:[00;39m virtual PopupWidget::~PopupWidget() 
amarok:     [00;32mEND__:[00;39m virtual PopupWidget::~PopupWidget() [00;32m[Took: 0s][00;39m 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 10.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 11.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 12.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 13.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 14.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 15.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 16.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 17.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 18.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 19.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 20.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 21.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 22.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 23.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 24.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 25.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 26.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 27.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 28.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 29.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 30.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 31.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 32.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 33.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 34.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 35.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 36.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 37.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 38.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 39.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 40.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 41.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 42.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 43.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 44.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 45.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 46.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 47.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 48.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 49.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 50.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 51.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 52.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 53.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 54.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 55.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 56.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 57.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 58.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 59.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 60.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 61.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 62.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 63.wav" 
amarok:     [AudioCdCollection] got track:  "audiocd:/Track 64.wav"
Comment 4 me 2015-12-04 14:35:43 UTC
one more things on this, after i open amarok with a cd, in order to get it to stop i need to kill it.  but then after i do that, if i open amarok after it is unresponsive even if the cd was removed after it was killed.  i did not run that pid thing becuase there seems to be good output from just that.  let me know if you still want me to run that...
Comment 5 Myriam Schweingruber 2015-12-04 16:14:13 UTC
Thank you. Unfortunately this is a known bug, and since our devs are rather busy I doubt this will be fixed before the next Qt4 based release. We will definitely keep this in mind and in high priority for the Qt5 port.

*** This bug has been marked as a duplicate of bug 339190 ***